import errno
import os
import time

import cliapp

import yarnutils

datadir = os.environ['DATADIR']
srcdir = os.environ['SRCDIR']

vars = yarnutils.Variables(datadir)


MAX_CAT_TIME = 5 # seconds
def cat(filename):
    start = time.time()
    while time.time() - start < MAX_CAT_TIME:
        try:
            with open(filename) as f:
                data = f.read()
                if len(data) == 0:
                    continue
                return data
        except (IOError, OSError) as e:
            if e.errno == errno.ENOENT:
                continue
            raise
    raise Exception("cat took more then %s seconds" % MAX_CAT_TIME)
